Skip to main content
GET
/
v1
/
voices
List Voices
curl --request GET \
  --url https://api.oneinbox.ai/v1/voices \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "provider": "<string>",
      "provider_voice_id": "<string>",
      "name": "<string>",
      "gender": "<string>",
      "language": "<string>",
      "accent": "<string>",
      "preview_url": "<string>",
      "credential_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "limit": 123,
  "offset": 123
}

Authorizations

Authorization
string
header
required

Your API key sent as a Bearer credential — Authorization: Bearer <api_key>, where <api_key> starts with oi_sk_ (create one via POST /v1/api-keys). Although the field is labelled 'token', paste your API key here. A dashboard JWT is also accepted on this header for the same endpoints.

Query Parameters

provider
string | null

Filter by provider

limit
integer
default:50
Required range: 1 <= x <= 200
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

items
VoiceResponse · object[]
required
total
integer
required
limit
integer
required
offset
integer
required